> For the complete documentation index, see [llms.txt](https://docs.nosto.com/techdocs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nosto.com/techdocs/apis/frontend/js-apis/common-examples/sending-email-addresses-to-nosto.md).

# Sending email addresses to Nosto

In this article, you will learn how to collect email addresses from other sources. If you have implemented the customer tagging, Nosto will automatically collect the information for logged-in users. For all other scenarios, you will need to use our Javascript API to push the customer information to us:

## Collecting email addresses from a form field

If your website has a form field that accepts email address, you can [collect customer information using our JS API](/techdocs/apis/frontend/js-apis/common-examples/sending-customer-information.md). A more simplified way would be to add the class `nosto_email_capture` to any email field on the page whose addresses need to be captured. Having done that, include the following snippet into your site.

The jQuery based script below binds every `input` field with the class `nosto_email_capture` and submits the collected information to Nosto when the parent form is submitted.

```javascript
jQuery("form input.nosto_email_capture").each((idx, input) => {
    if (!input.form) {
        return;
    }
    input.form.onsubmit = event => {
        var email = input.value;
        if (email) {
            // Push customer information to current visit
            nostojs(api => {
                console.log("Collecting email " + email);
                api.customer({email: email});
            });
        } else {
            console.log("No email specified");
        }
    }
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.nosto.com/techdocs/apis/frontend/js-apis/common-examples/sending-email-addresses-to-nosto.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
